body{
    background-color: #ffdaff;
    color: rgb(0, 0, 0);
    font-family: Arial, Helvetica, sans-serif;
    font-size: 16px;
    text-align: center;
    margin: 0; 
    padding: 0;
    height: 100%;
}

.header{
    background-color: #ffdaff;
    color: rgb(0, 0, 0);
    font-size: medium;
    width: 100%;
    height: 25%;
}
.about{
    background-color: #ffdaff;
    color: rgb(0, 0, 0);
    font-size: small;
    overflow-y: auto; /* Добавляет вертикальную прокрутку */
}
.banner{
    background-color: #ffdaff;
    color: #000;
    font-size: 20px;
    text-align: center;
}

.footer {
        background: rgb(200, 141, 255);
        color: white;
        height: 5%; /* Задаем высоту в 25% */
        width: 100%;
        position: fixed; /* Закрепляем внизу */
        bottom: 0; /* Привязываем к нижней части экрана */
}

.service-button {
    background-color: rgb(200, 141, 255); /* Цвет фона */
    color: black; /* Цвет текста */
    border: none; /* Убираем границу */
    padding: 10px 20px; /* Отступы */
    text-align: center; /* Выравнивание текста */
    text-decoration: none; /* Убираем подчеркивание */
    display: inline-block; /* Отображение в строку */
    font-size: 16px; /* Размер шрифта */
    margin: 4px 4px; /* Отступы между кнопками */
    cursor: pointer; /* Курсор при наведении */
    border-radius: 5px; /* Закругленные углы */
    transition: background-color 0.3s; /* Плавный переход цвета фона */
}

.service-button:hover {
    background-color: #fffb00; /* Цвет фона при наведении */
}

.click-button {
    background-color: #ff0080; /* Цвет фона */
    color: white; /* Цвет текста */
    border: none; /* Убираем границу */
    padding: 10px 20px; /* Отступы */
    text-align: center; /* Выравнивание текста */
    text-decoration: none; /* Убираем подчеркивание */
    display: inline-block; /* Отображение в строку */
    font-size: 16px; /* Размер шрифта */
    margin: 4px 4px; /* Отступы между кнопками */
    cursor: pointer; /* Курсор при наведении */
    border-radius: 5px; /* Закругленные углы */
    transition: background-color 0.3s; /* Плавный переход цвета фона */
}

.click-button:hover {
    background-color: rgb(111, 109, 248); /* Цвет фона при наведении */
}

#rainbow {
    font-size: 20px;
    font-weight: lighter;
    font-family: sans-serif;
    text-transform: uppercase;

    background-image: linear-gradient(to right, #553c9a, #ee4b2b, #00c2cb, #ff7f50, #553c9a);

    /* обрезаем фон по тексту */
    -webkit-background-clip: text;
    background-clip: text;
    /* меняет цвет текста заголовка на прозрачный что бы можно было увидеть градиент*/
    -webkit-text-fill-color: transparent;
    
}

#p_new{
    font-size: 30px;
    font-family: 'Caveat';
    color: #553c9a;
}

#p_title{
    font-size: 40px;
    font-family: 'Caveat';
}

#a_icon { 
    text-decoration: none; 
    margin-right: 10px;
}